Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 241288 - Installing kde-4.1.2 breaks kde-3.5.10
Summary: Installing kde-4.1.2 breaks kde-3.5.10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2008-10-11 10:50 UTC by Graham Murray
Modified: 2009-05-27 09:45 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Murray 2008-10-11 10:50:23 UTC
kde-4.1.2 has recently been put into ~x86 in a new slot. Having installed it, when I select 'kde 3.5' from the session type menu in kdm, the kde-3.5.10 desktop is shown but when I press the 'K' application launcher button there are no applications shown. Control centre is shown but does nothing when pressed, most of the applets (such as konqueror) which were previously shown on the task bar are missing.

emerge --info
Portage 2.2_rc12 (default/linux/x86/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r1-ext4-7 i686)
=================================================================                                                   
System uname: Linux-2.6.26-gentoo-r1-ext4-7-i686-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-glibc2.0                
Timestamp of tree: Fri, 10 Oct 2008 16:45:01 +0000                                                                  
app-shells/bash:     3.2_p39                                                                                        
dev-java/java-config: 1.3.7, 2.1.6-r1                                                                               
dev-lang/python:     2.4.4-r11, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -pipe -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -mtune=native -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="buildsyspkg distlocks installsources parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://gentoo.blueyonder.co.uk http://gentoo.tiscali.nl/ http://gentoo.mirror.solnet.ch http://pandemonium.tiscali.de/pub/gentoo/"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB en fr_FR fr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/perl-experimental /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi aim alsa apache2 arts audiofile avi bash-completion berkdb bluetooth bonobo branding browserplugin bzip2 bzlib cairo caps cddb cdparanoia cdr cjk clicracklib crypt cups curl cvs cxx dbus directfb doc dri dts dvd dvdr dvdread eds emacs emboss encode esd ethereal evo examples exif expat fam fbcon ffmpeg fftw flac fontconfig foomaticdb fortran ftp gcj gd gdbm gif glut gmp gnome gnome-keyring gnutls gphoto2 gpm graphviz gstreamer gtk gtk2 gtkhtml guile hal htmlhandbook iconv icq idn ieee1394 imagemagick imlib ipv6 isdnlog jabber jack java javascript jbig jce jpeg jpeg2k junit kde kdehiddenvisibility kerberos ladspa latex lcms ldap leim libgda libnotify libsamplerate libwww lirc lm_sensors logrotate lua m17n-lib mad matroska mbox midi mikmod milter mime mmap mmx mng modplug mono mozilla mp3 mpeg mpi mplayer msn mudflap musepack ncurses nls nptl nptlonly nsplugin odbc offensive ogg oggvorbis openal opengl openmp oscar oss pam pcntl pcre pdf perl png postgres ppds pppd profile pulseaudio python qt3 qt3support qt4 quicktime readline recode reflection ruby sasl sdl session sharedmem sndfile snmp sockets sox speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg sysfs sysvipc tcl tcltk tcpd theora threads tiff tk truetype uicktime unicode usb v4l v4l2 vim-syntax vorbis wavpack win32codecs wmf wxwindows x264 x86 xattr xcb xface xine xml xml2 xorg xulrunner xv xvid yahoo zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en fr_FR fr" LIRC_DEVICES="asusdh" USERLAND="GNU" VIDEO_CARDS="radeon vesa fbdev vga v4l"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2008-10-11 10:56:26 UTC
What version of kdelibs and kdebase-startkde for kde3 you have?
Comment 2 Graham Murray 2008-10-11 11:18:51 UTC
(In reply to comment #1)
> What version of kdelibs and kdebase-startkde for kde3 you have?
> 

kdelibs 3.5.10-r1
kdebase-startkde 3.5.10-r3
Comment 3 Duncan 2008-10-12 07:18:57 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > What version of kdelibs and kdebase-startkde for kde3 you have?
> > 
> 
> kdelibs 3.5.10-r1
> kdebase-startkde 3.5.10-r3

There's now a new version of each, kdelibs-3.5.10-r2 and kdebase-startkde-3.5.10-r4 in the tree.  See if merging them fixes things up.

FWIW, I just merged them here and haven't restarted KDE (3.5) yet, so I don't know if it fixes all my problems here.  I do however have a somewhat different setup, with a script that switches out a few things depending on what KDE I'm starting, that I created back when I was testing kde-svn some months ago.  That may be why I didn't lose my kmenu entirely, tho I did note KDE4 added some stuff to it.  That was fine.  What wasn't so great was that mimetype associations got screwed up.  I lost web links until I fixed them, and clicking a directory I have on the desktop still brings up kde4 dolphin instead of kde3 konqueror.  I'll see if the new revisions help after I quit kde (3), run kbuildsycoca, and restart it.

Meanwhile I've not done anything with kde4 yet as I've not yet updated my starter script for it.  I had some bugs to research/file first, and discovered this one while I was at it.
Comment 4 Graham Murray 2008-10-12 18:39:55 UTC
(In reply to comment #3)
> There's now a new version of each, kdelibs-3.5.10-r2 and
> kdebase-startkde-3.5.10-r4 in the tree.  See if merging them fixes things up.

Unfortunately, merging those has has no effect.
Comment 5 Simon Bühler 2008-10-13 11:43:55 UTC
Also Konqueror is missing its navigation icons,
kWalletmanager isn't used anymore and kmail lost its receiving settings
Comment 6 MM 2008-10-14 06:21:28 UTC
I am using KDE 3.5.9, in my case I didn't lost anything (yet), but what happens to me is that after installing KDE 4.1.2, when I start a KDE 3.5.9 session, everything starts up correctly (apparently), but right after the 3.5 desktop finishes loading, the 4.1.2 starts to load too, it replaces my desktop, and its bottom panel gets loaded right over the 3.5 one, so I see the KDE 4.1.2 panel and behind it the 3.5 one.
I'll be updating to KDE 3.5.10 today, maybe it will change something.
Comment 7 Andrei 2008-10-14 11:51:59 UTC
Hi,

You can try to run "kbuildsycoca --noincremental". It should return your applications to menu.

-- 
 Best regards,
  Andrei.
Comment 8 juantxorena@gmail.com 2009-03-08 11:35:25 UTC
This still happens with kde-4.2?
Comment 9 Pavel Bazika 2009-03-09 22:27:40 UTC
(In reply to comment #8)
> This still happens with kde-4.2?
> 

Yes for me, I've just installed nearly everything  from 4.2.1 and my KDE 3 control center was empty, open device in new window looked for dolphin, there were no icons on Kmenu and no keyboard switcher. After running kbuildsycoca at first as my working user, then as root, everything is fine now (without KDE 3 restart).
Unfortunately I didn't check if running kbuildsycoca helps just after running it as common user, or running as root is needed.
Comment 10 Duncan 2009-03-10 05:23:25 UTC
(In reply to comment #9)
> After running kbuildsycoca...

> Unfortunately I didn't check if running kbuildsycoca helps just after running
> it as common user, or running as root is needed.

That's fairly standard, any time kbuildsycoca4 is run, it'll overwrite the 3.5 version.  Thus, it /was/ often necessary to run kbuildsycoca (without the 4 it's the 3.5 version, as a regular user is fine, as root not necessary at least here) to get 3.5 back.

However, I noticed it did NOT kill the 3.5 menus when I installed 4.2.1.  I installed from 3.5.10 and based on previous experience, had an extra konsole window open to run kbuildsycoca on as necessary, but it was NOT necessary this time.

So whatever you devs did with 4.2.1 seemed to work.  I didn't lose the sycoca database this time.  Pavel says he did.  The difference may be that I don't install quite everything.  Perhaps a few ebuilds still trigger the sycoca db overwrite, or maybe it was because I merged from a konsole session in KDE3, which got detected (and kbuildsycoca4 not run), while merging from a VT may not have detected the KDE3 variables and thus thought it could run it even tho KDE3 was running in a different VT.
Comment 11 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-26 13:33:56 UTC
this is fixed with the new kde3 eclasses